<template>
  <v-container>
    <v-card elevation="0">
      <v-card-text>
        <v-table hover>
          <template v-for="(resource, i) in resources" :key="resource.header">
            <ResourceTableHeader :text="resource.header" :first="i === 0" />
            <ResourceTableTBody :links="resource.links" />
          </template>
        </v-table>
      </v-card-text>
    </v-card>
  </v-container>
</template>

<script setup lang="ts">
const assemblies = [
  {
    to: "/download/reference/GCF_000002335.3_Tcas5.2_genomic.fna.gz",
    text: "GCF_000002335.3_Tcas5.2_genomic.fna.gz",
    comment: "Download the version being used by iBeetle-Base",
    download: true,
  },
  {
    to: "https://ftp.ncbi.nlm.nih.gov/genomes/genbank/invertebrate/Tribolium_castaneum/latest_assembly_versions/GCA_000002335.3_Tcas5.2",
    text: "GCA_000002335.3_Tcas5.2_genomic.fna.gz",
    comment:
      "Direct link to the FASTA file from NCBI (GenBank version, submitted by the iBeetle project)",
  },
  {
    to: "https://ftp.ncbi.nlm.nih.gov/genomes/all/GCF/000/002/335/GCF_000002335.3_Tcas5.2/GCF_000002335.3_Tcas5.2_genomic.fna.gz",
    text: "GCF_000002335.3_Tcas5.2_genomic.fna.gz",
    comment:
      "Direct link to the FASTA file from NCBI (RefSeq version, includes the mitochondrium)",
  },
];

const genomics = [
  {
    to: "/download/species/Tcas/OGS3.gff.gz",
    text: "OGS3.gff.gz",
    comment: "Gene prediction as GFF file",
    download: true,
  },
  {
    to: "/download/species/Tcas/OGS3_mRNA.fasta.gz",
    text: "OGS3_mRNA.fasta.gz",
    comment: "mRNA as FASTA file",
    download: true,
  },
  {
    to: "/download/species/Tcas/OGS3_CDS.fasta.gz",
    text: "OGS3_CDS.fasta.gz",
    comment: "Coding sequences as FASTA file",
    download: true,
  },
  {
    to: "/download/species/Tcas/OGS3_proteins.fasta.gz",
    text: "OGS3_proteins.fasta.gz",
    comment: "Protein sequences as FASTA file",
    download: true,
  },
];

const communities = [
  {
    to: "http://www.Tribolium.net",
    comment:
      "Link to Tribolium labs and protocols. Maintained by Martin Klingler",
  },
  {
    to: "https://listserv.gwdg.de/mailman/listinfo/tribolium-community",
    text: "Tribolium listserver",
    comment:
      "Please subscribe if you wish to remain informed (e.g. meetings, jobs etc). Maintained by Gregor Bucher",
  },
];

const genomeBrowsers = [
  {
    to: "https://ibeetle-base.uni-goettingen.de/ibb/jbrowse2/",
    text: "JBrowse2",
    comment: "iBeetle genome browser",
  },
  {
    to: "https://www.ncbi.nlm.nih.gov/genome/gdv/browser/?context=genome&amp;acc=GCF_000002335.3",
    text: "NCBI genome browser",
  },
  {
    to: "https://apollo.nal.usda.gov/apollo/Tribolium_castaneum/jbrowse/",
    text: "i5k genome browser",
  },
];

const orthology = [
  {
    to: "/download/orthology/1.OrthoFinder_orthology.tsv",
    text: "OrthoFinder_orthology.tsv",
    comment: "Orthology prediction for Tcas and Dmel using OrthoFinder",
    download: true,
  },
  {
    to: "/download/orthology/2.Eggnog6_orthology.tsv",
    text: "Eggnog6_orthology.tsv",
    comment: "Orthology prediction for Tcas and Dmel using Eggnog6",
    download: true,
  },
];

const iBeetleData = [
  {
    to: "/download/lethality/Buer_Supp_table_6_lethality_results_primary_screen.xlsx",
    text: "iBB lethality table",
    comment: "Lethality results from the iBeetle screen",
    download: true,
  },
  {
    to: "/download/annotations/annotations_terms.xlsx",
    text: "iBB annotation list",
    comment: "List of all annotations in the iBeetle screen",
    download: true,
  },
];

const others = [
  {
    to: "http://144.76.155.9/deqor_new/input.html",
    text: "Deqor",
    comment:
      "Off target control for RNAi. iBeetle fragments were designed using this algorithm",
  },
  {
    to: "http://bioportal.bioontology.org/ontologies/TRON",
    text: "TrOn in BioPortal",
    comment:
      "The Tribolium Ontology about the morphological structures of Tribolium",
  },
  {
    to: "http://www.geku-base.uni-goettingen.de/",
    text: "GEKU Base",
    comment:
      "A database of insertional mutants and enhancer trap lines. (Provided by the GEKU consortium)",
  },
  {
    to: "http://www.beetleatlas.org",
    text: "BeetleAtlas",
    comment: "A database of Tribolium gene expression",
  },
];

const resources = [
  {
    header: "Genome assembly",
    links: assemblies,
  },
  {
    header: "Gene predictions used by iBeetle project",
    links: genomics,
  },
  {
    header: "Data generated by iBeetle project",
    links: iBeetleData,
  },
  {
    header: "Genome browsers",
    links: genomeBrowsers,
  },
  {
    header: "Orthology",
    links: orthology,
  },
  {
    header: "Community",
    links: communities,
  },
  {
    header: "Others",
    links: others,
  },
];
</script>

<style scoped>
a {
  color: rgb(var(--v-theme-primary));
}
</style>
